import { SvelteComponent } from "svelte";
import type { PDFDocumentProxy } from 'pdfjs-dist';
import type { DocumentInitParameters, OnProgressParameters } from 'pdfjs-dist/types/src/display/api.js';
declare const __propDef: {
    props: {
        /** The URL of the file to load. */ file?: string | URL | undefined;
        /**
             * Extra options provided to PDFJS.getDocument.
             * @see https://github.com/mozilla/pdf.js/blob/41dab8e7b6c1e2684d4afabb8f02e40a874d8e85/src/display/api.js#L126
             */ loadOptions?: DocumentInitParameters | undefined;
        /**
             * Callback that fires everytime a part of the PDF is downloaded. Can be useful for showing a progress bar.
             */ onProgress?: undefined | ((params: OnProgressParameters) => void);
    };
    slots: {
        default: {};
    };
    events: {
        /** Dispatched when a document is successfully loaded. */
        loadsuccess: CustomEvent<PDFDocumentProxy>;
        /** Dispatched when there's an error while loading the document. */
        loaderror: CustomEvent<any>;
    };
};
export type DocumentProps = typeof __propDef.props;
export type DocumentEvents = typeof __propDef.events;
export type DocumentSlots = typeof __propDef.slots;
/**
 * Renderless component responsible for just loading the document and providing it to
 * children Page components through the context API.
 */
export default class Document extends SvelteComponent<DocumentProps, DocumentEvents, DocumentSlots> {
}
export {};
