import { SvelteComponent } from "svelte";
import type { CalcViewport, MultipleOf90 } from '../utils/target_dimension.js';
import type { PDFPageProxy } from 'pdfjs-dist';
declare const __propDef: {
    props: {
        /**
             * What renderer implementation to use for the page.
             * SVG rendering not implemented yet.
             * @default {"canvas"}
             */ renderer?: "canvas" | "svg" | undefined;
        /**
             * The page number to show.
             */ num: number;
        /**
             * The scale to show the PDF at.
             * @default {1}
             */ scale?: number | undefined;
        /**
             * Rotate the page by a multiple of 90 degrees.
             * @default {0}
             */ rotation?: MultipleOf90 | undefined;
        /**
             * Render a separate text layer (only for the canvas renderer.)
             * @default {false}
             */ renderTextLayer?: boolean | undefined;
        /**
             * A callback invoked with the current page used to determine the viewport.
             * Use this if you need something more complicated than the default based on scale.
             */ getViewport?: CalcViewport | undefined;
    };
    slots: {};
    events: {
        pagerendersuccess: CustomEvent<PDFPageProxy>;
        pagerendererror: CustomEvent<unknown>;
    };
};
export type PageProps = typeof __propDef.props;
export type PageEvents = typeof __propDef.events;
export type PageSlots = typeof __propDef.slots;
/** Render a page from a PDF document. Must be a child of a `Document` component. */
export default class Page extends SvelteComponent<PageProps, PageEvents, PageSlots> {
}
export {};
